# yaml-language-server: $schema=https://aka.ms/configuration-dsc-schema/0.2
properties:
  resources:
    - resource: Microsoft.WinGet.DSC/WinGetPackage
      id: Package.GoogleChrome
      directives:
        description: Installation du navigateur Google Chrome
        securityContext: elevated
      settings:
        id: Google.Chrome
        source: winget
    
    - resource: Microsoft.WinGet.DSC/WinGetPackage
      id: Package.Firefox
      directives:
        description: Installation du navigateur Firefox en langue Française
        securityContext: elevated
      settings:
        id: Mozilla.Firefox.ESR.fr
        source: winget

    - resource: Microsoft.WinGet.DSC/WinGetPackage
      id: Package.AdobeAcrobatReader
      directives:
        description: Installation de Adobe Acrobat Reader (64-bit)
        securityContext: elevated
      settings:
        id: Adobe.Acrobat.Reader.64-bit
        source: winget

    - resource: Microsoft.WinGet.DSC/WinGetPackage
      id: Package.AnyDesk
      directives:
        description: Installation de AnyDesk
        securityContext: elevated
      settings:
        id: AnyDesk.AnyDesk
        source: winget

    - resource: Microsoft.WinGet.DSC/WinGetPackage
      id: Package.Thunderbird
      directives:
        description: Installation de Mozilla Thunderbird (fr)
        securityContext: elevated
      settings:
        id: Mozilla.Thunderbird.fr
        source: winget

    - resource: Microsoft.WinGet.DSC/WinGetPackage
      id: Package.LibreOffice
      directives:
        description: Installation de LibreOffice
        securityContext: elevated
      settings:
        id: TheDocumentFoundation.LibreOffice
        source: winget

  configurationVersion: "0.2.0"